Skip to main content
POST
/
fine_tuning
/
jobs
Create Fine-tuning Job
curl --request POST \
  --url https://{controlPlaneURL}/api/llm/fine_tuning/jobs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "training_file": "<string>",
  "hyperparameters": {},
  "integrations": [
    {}
  ],
  "metadata": {},
  "method": {},
  "seed": 123,
  "suffix": "<string>",
  "validation_file": "<string>"
}
'
{
  "object": "fine_tuning.job",
  "id": "<string>",
  "model": "<string>",
  "created_at": 123,
  "fine_tuned_model": "<string>",
  "organization_id": "<string>",
  "result_files": [
    "<string>"
  ],
  "status": "queued",
  "validation_file": "<string>",
  "training_file": "<string>",
  "finished_at": 123,
  "hyperparameters": {},
  "trained_tokens": 123,
  "integrations": [
    {}
  ],
  "seed": 123,
  "estimated_finish": 123,
  "method": {},
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-tfy-metadata
string

Optional metadata for the request

Body

application/json

Fine-tuning job parameters

model
string
required

The name of the model to fine-tune

training_file
string
required

The ID of an uploaded file that contains training data

hyperparameters
object

The hyperparameters used for the fine-tuning job (deprecated)

integrations
object[] | null

A list of integrations to enable for your fine-tuning job

metadata
object

Set of 16 key-value pairs that can be attached to an object

method
object

The method used for fine-tuning

seed
integer | null

The seed controls the reproducibility of the job

suffix
string | null

A string of up to 64 characters that will be added to your fine-tuned model name

validation_file
string | null

The ID of an uploaded file that contains validation data

Response

Fine-tuning job created successfully

object
enum<string>
required

The object type

Available options:
fine_tuning.job
id
string
required

The fine-tuning job ID

model
string
required

The model being fine-tuned

created_at
integer
required

The Unix timestamp when the job was created

fine_tuned_model
string | null
required

The name of the fine-tuned model that is being created

organization_id
string
required

The organization that owns the fine-tuning job

result_files
string[]
required

The compiled results files for the fine-tuning job

status
enum<string>
required

The current status of the fine-tuning job

Available options:
queued,
running,
succeeded,
failed,
cancelled
validation_file
string | null
required

The file ID used for validation

training_file
string
required

The file ID used for training

finished_at
integer | null

The Unix timestamp when the job finished

hyperparameters
object

The hyperparameters used for the fine-tuning job

trained_tokens
integer | null

The total number of tokens used for training

integrations
object[] | null

A list of integrations enabled for the fine-tuning job

seed
integer | null

The seed used for the fine-tuning job

estimated_finish
integer | null

The estimated finish timestamp for the job

method
object

The method used for fine-tuning

metadata
object

Set of 16 key-value pairs that can be attached to an object